/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Quest Items\MiscNote.cs
Lines of code: 43
***********************************************************/


using System;using Server;namespace Server.Items
{
public class MiscNote : Item
{
[Constructable]
public MiscNote() : this( 1 )
{}
[Constructable]
public MiscNote( int amountFrom, int amountTo ) : this( Utility.RandomMinMax( amountFrom, amountTo ) )
{}
[Constructable]

///////////The hexagon value ont he line below is the ItemID
public MiscNote( int amount ) : base( 8039 )
{


///////////Item name
Name = "Cisco Notes - CCNA 1";

switch(Utility.Random(10))
{
case 0: Name = String.Concat("Cisco Notes - CCNA ",Utility.Random(1,4)); break;
case 1: Name = String.Concat("Cisco Notes - CCNP ",Utility.Random(1,4)); break;
case 2: Name = "Cobol Notes"; break;
case 3: Name = "Introduction to business Notes"; break;
case 4: Name = "C++ Bubble sort function Notes"; break;
case 5: Name = "Linux scripting with bash Notes"; break;
case 6: Name = "Geography and you Notes"; break;
case 7: Name = "Human resources management Notes"; break;
case 8: Name = "Visual basic Notes"; break;
case 9: Name = "World History Notes"; break;
case 10: Name = "Bob Mack Notes"; break;
}



///////////Item hue
Hue = 0;

///////////Stackable
Stackable = false;

///////////Weight of one item
Weight = 1;
Amount = amount;

}
public MiscNote( Serial serial ) : base( serial )
{}
public override void Serialize( GenericWriter writer )
{
base.Serialize( writer );
writer.Write( (int) 0 ); // version
}
public override void Deserialize( GenericReader reader )
{
base.Deserialize( reader ); int version = reader.ReadInt(); }}}
